Index: trunk/kernel/kern/cluster.h
===================================================================
--- trunk/kernel/kern/cluster.h	(revision 14)
+++ trunk/kernel/kern/cluster.h	(revision 19)
@@ -1,5 +1,5 @@
 /*
  * cluster.h - Cluster-Manager definition
- * 
+ *
  * authors  Ghassan Almaless (2008,2009,2010,2011,2012)
  *          Mohamed Lamine Karaoui (2015)
@@ -55,11 +55,11 @@
  * This structure defines the process manager, that is part of the cluster manager.
  * For any process P, the process descriptor is replicated in all clusters containing
- * at least one thread of process P, but only the "reference" cluster descriptor contains 
+ * at least one thread of process P, but only the "reference" cluster descriptor contains
  * the reference (complete) structures such as the GPT, the VSL, or the FDT.
- * The "owner" cluster is in charge to allocate a lpid (local process index), 
+ * The "owner" cluster is in charge to allocate a lpid (local process index),
  * for all process owned by a cluster K, and to register the "reference" cluster for
- * all process owned by K. 
- *
- * Warning : the "owner" cluster, and the "reference" cluster can be different clusters. 
+ * all process owned by K.
+ *
+ * Warning : the "owner" cluster, and the "reference" cluster can be different clusters.
  *
  * The process manager of a cluster K maintains three structures:
@@ -69,5 +69,5 @@
  *    A process descriptor P is present in K, as soon as P has a thread in cluster K.
  * 3) The copies_root[] array is indexed by lpid. Each entry contains the root of
- *    the xlist of copies for a given process owned by cluster K.   
+ *    the xlist of copies for a given process owned by cluster K.
  ******************************************************************************************/
 
@@ -82,5 +82,5 @@
     uint32_t          local_nr;               /*! number of process in cluster            */
 
-    xlist_entry_t     copies_root[CONFIG_MAX_PROCESS_PER_CLUSTER];  /*! roots of lists    */ 
+    xlist_entry_t     copies_root[CONFIG_MAX_PROCESS_PER_CLUSTER];  /*! roots of lists    */
     remote_spinlock_t copies_lock[CONFIG_MAX_PROCESS_PER_CLUSTER];  /*! one lock per list */
     uint32_t          copies_nr[CONFIG_MAX_PROCESS_PER_CLUSTER];    /*! number of copies  */
@@ -90,5 +90,5 @@
 /*******************************************************************************************
  * This structure defines a cluster manager.
- * It contains both global platform informations, and cluster specific ressources
+ * It contains both global platform information, and cluster specific resources
  * managed by the local kernel instance.
  ******************************************************************************************/
@@ -135,14 +135,14 @@
     pmgr_t            pmgr;               /*! embedded process manager                    */
 
-	char              name[CONFIG_SYSFS_NAME_LEN];  
+	char              name[CONFIG_SYSFS_NAME_LEN];
 
 //	sysfs_entry_t     node;
-} 
+}
 cluster_t;
 
 /******************************************************************************************
  * This global variable is allocated in the kernel_init.c file.
- * There is one cluster_manager per cluster, with the same local address, 
- * but different content, in all clusters containing a kernel instance. 
+ * There is one cluster_manager per cluster, with the same local address,
+ * but different content, in all clusters containing a kernel instance.
  *****************************************************************************************/
 
@@ -156,5 +156,5 @@
 
 /******************************************************************************************
- * This generic function initialises the local cluster manager from informations found
+ * This generic function initialises the local cluster manager from information found
  * in the local boot-info structure. It initializes the following local resources:
  * - the global platform parameters,
@@ -170,8 +170,8 @@
  * @ info : pointer on the local boot_info_t structure build by the bootloader.
  *****************************************************************************************/
-error_t cluster_init( boot_info_t * info );         
-
-/******************************************************************************************
- * This function cheks the validity of a cluster identifier. TODO useful ??? [AG]
+error_t cluster_init( boot_info_t * info );
+
+/******************************************************************************************
+ * This function checks the validity of a cluster identifier. TODO useful ??? [AG]
  ******************************************************************************************
  * @ cxy    : cluster identifier to be checked.
@@ -200,7 +200,7 @@
 xptr_t cluster_get_reference_process_from_pid( pid_t pid );
 
-/****************************************************************************************** 
+/******************************************************************************************
  * This function allocates a new PID in local cluster, that becomes the process owner.
- * It register the process descriptor extended pointer in the local processs manager 
+ * It registers the process descriptor extended pointer in the local processs manager
  * pref_tbl[] array. This function is called by the rpc_process_alloc_pid() function for
  * remote registration, or by the process_init_create() function for local registration.
@@ -208,10 +208,10 @@
  * @ process    : [in]  extended pointer on the process descriptor.
  * @ pid        : [out] allocated PID.
- * @ return 0 if success / return EAGAIN if no PID slot available 
+ * @ return 0 if success / return EAGAIN if no PID slot available
  *****************************************************************************************/
 error_t cluster_pid_alloc( xptr_t    process_xp,
                            pid_t   * pid );
 
-/****************************************************************************************** 
+/******************************************************************************************
  * This function removes a PID from the local process manager pref_tbl[] array.
  * It checks that removed process is owned by the local cluster and the lpid is legal.
@@ -237,5 +237,5 @@
  * @ process     : pointer on local process descriptor.
  *****************************************************************************************/
-void cluster_process_local_link( struct process_s * process ); 
+void cluster_process_local_link( struct process_s * process );
 
 /******************************************************************************************
@@ -244,5 +244,5 @@
  * @ process     : pointer on local process descriptor.
  *****************************************************************************************/
-void cluster_process_local_unlink( struct process_s * process ); 
+void cluster_process_local_unlink( struct process_s * process );
 
 /******************************************************************************************
@@ -252,5 +252,5 @@
  * @ process     : pointer on local process descriptor.
  *****************************************************************************************/
-void cluster_process_copies_link( struct process_s * process ); 
+void cluster_process_copies_link( struct process_s * process );
 
 /******************************************************************************************
@@ -260,5 +260,5 @@
  * @ process     : pointer on local process descriptor.
  *****************************************************************************************/
-void cluster_process_copies_unlink( struct process_s * process ); 
+void cluster_process_copies_unlink( struct process_s * process );
 
 
